Module tdlight.api
Package it.tdlight.jni

# Class TdApi.AuthenticationCodeTypeFirebaseIos

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.AuthenticationCodeType
it.tdlight.jni.TdApi.AuthenticationCodeTypeFirebaseIos

Enclosing class:
  TdApi

public static final class TdApi.AuthenticationCodeTypeFirebaseIos extends TdApi.AuthenticationCodeType
An authentication code is delivered via Firebase Authentication to the official iOS application.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`length`
Length of the code.
`int`
`pushTimeout`
Time after the next authentication method is supposed to be used if verification push notification isn't received, in seconds.
`String`
`receipt`
Receipt of successful application token validation to compare with receipt from push notification.

## Constructor Summary

Constructors
Constructor
Description
`AuthenticationCodeTypeFirebaseIos()`
An authentication code is delivered via Firebase Authentication to the official iOS application.
`AuthenticationCodeTypeFirebaseIos(DataInput input)`
An authentication code is delivered via Firebase Authentication to the official iOS application.
`AuthenticationCodeTypeFirebaseIos(String receipt, int pushTimeout, int length)`
An authentication code is delivered via Firebase Authentication to the official iOS application.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### receipt

public String receipt
Receipt of successful application token validation to compare with receipt from push notification.

### pushTimeout

public int pushTimeout
Time after the next authentication method is supposed to be used if verification push notification isn't received, in seconds.

### length

public int length
Length of the code.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### AuthenticationCodeTypeFirebaseIos

public AuthenticationCodeTypeFirebaseIos()
An authentication code is delivered via Firebase Authentication to the official iOS application.

### AuthenticationCodeTypeFirebaseIos

public AuthenticationCodeTypeFirebaseIos(String receipt, int pushTimeout, int length)
An authentication code is delivered via Firebase Authentication to the official iOS application.

Parameters:
  `receipt` - Receipt of successful application token validation to compare with receipt from push notification.
  `pushTimeout` - Time after the next authentication method is supposed to be used if verification push notification isn't received, in seconds.
  `length` - Length of the code.

### AuthenticationCodeTypeFirebaseIos

public AuthenticationCodeTypeFirebaseIos(DataInput input) throws IOException
An authentication code is delivered via Firebase Authentication to the official iOS application.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`